Bug 518618 - Kernel Nouveau Drm
Summary: Kernel Nouveau Drm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 10:36 UTC by Frank Murphy
Modified: 2009-08-24 12:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 12:12:25 UTC


Attachments (Terms of Use)
lspci -vv (11.80 KB, text/plain)
2009-08-22 21:48 UTC, A. Mani
no flags Details

Description Frank Murphy 2009-08-21 10:36:34 UTC
Description of problem: Cant' boot


Version-Release number of selected component (if applicable):
Nightly Build desktop-x86_64-20090818.15
00:05.0 VGA compatible controller: nVidia Corporation MCP51 PCI-X GeForce Go 6100 (rev a2)

nouveau 0000:00:05.0: Output script table version 0x11 unknown

[drm:drm_helper_initial_config] *ERROR* connectors have no modes, using standard modes

(no logs to provide, power-off required.)


How reproducible:
Always

Steps to Reproduce:
1. Insert LiveMedia \ Upgrade to Rawhide
2.
3.
  
Actual results: Can't Boot


Expected results: Boot to Gnome


Additional info:
$ lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation MCP51 PCI-X GeForce Go 6100 (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.3 Co-processor: nVidia Corporation MCP51 PMU (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev f1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev f1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
04:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
04:06.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)

Comment 1 Frank Murphy 2009-08-21 11:49:19 UTC
with rhgb, quiet removed

nouveau.modeset=0  as above Power-Off required
nouveau.modeset=1   ""  ""
nouveau.modeset=2  gets past kernel, goes to black screen after services lists smartd.  The power-off required.

Comment 2 A. Mani 2009-08-22 21:48:38 UTC
Created attachment 358330 [details]
lspci -vv

I did not face any of the problems. Initially it used nv in alpha, but I changed it to nouveau ...the better driver

Comment 3 Frank Murphy 2009-08-23 11:47:14 UTC
yum --enablerepo=rawhide update

This has worked, for me this morning:

kernel-2.6.31-0.167.rc6.git6.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-5.20090820git569a17a.fc12.x86_64

Will have to wait for the next nightly rebuild.
To test the liveCD.

Comment 4 Ben Skeggs 2009-08-24 00:24:06 UTC
So the problem has been resolved?

Comment 5 Frank Murphy 2009-08-24 07:01:35 UTC
Yes.

If any problems, re-occur with nightly re-build, will re-open.

Comment 6 Ben Skeggs 2009-08-24 12:12:25 UTC
Ok, thank you for letting me know.


Note You need to log in before you can comment on or make changes to this bug.